#!/bin/sh
set -efu

export LC_ALL=C.UTF-8

if [ -z "$AUTOPKGTEST_TMP" ]; then
    AUTOPKGTEST_TMP=tmp
    mkdir -p ${AUTOPKGTEST_TMP}
fi

mkdir -p ${AUTOPKGTEST_TMP}/tests
cp hgapi/testhgapi.py ${AUTOPKGTEST_TMP}/tests
cp README.rst ${AUTOPKGTEST_TMP}
cd ${AUTOPKGTEST_TMP}

for py in $(py3versions -s); do
    $py -m pytest --tb=long --verbose -k 'not test_doc' tests/testhgapi.py
done
